using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Database.Repository;

namespace Pos.Setting.Category
{
    /// <summary>
    /// Interaction logic for ArchiveProductGroupWindow.xaml
    /// </summary>
    public partial class ArchiveProductGroupWindow : Window
    {
        private readonly int _id;
        public ArchiveProductGroupWindow(string name, int id)
        {
            InitializeComponent();
            _id = id;
            txtDelProductGroup.Text = name;

        }

        private void btnNo_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void btnYes_Click(object sender, RoutedEventArgs e)
        {
            ProductGroupRepository categoryRepository = new ProductGroupRepository();
            categoryRepository.Archive(_id);
            this.Close();
        }
    }
}
